# -*- coding: utf-8 -*-
""" virtdb

    Defined tables in a virtual database.
    They are used to build forms in order to generate url, ....
    taking benefit of the web2py validators
    
    NOTE: similar approach to the SQLFORM.factory
    
"""

virtdb = DAL(None)

# the report node with selector
tp_string = "tool tip for the string"

virtdb.define_table("foo1",
    Field('my_string', 'string', comment=tp_string),
    Field('my_int', 'integer', requires=IS_INT_IN_RANGE(0, 100)),
    Field('my_date', 'date'),
    Field('my_format', default='html', requires=IS_IN_SET(['html', 'latex', 'pdf'])),
    Field('my_axis'),
    Field('my_granularity'))


virtdb.define_table("harvester_selector",
    Field('year_start', 'integer', default=year),
    Field('year_end', 'integer'),
    Field('id_teams', db.teams, label='Team'),                    
    Field('id_projects', db.projects, label='Project'),
    Field('controller', 'string', label='Harvest'))

virtdb.harvester_selector.id_projects.requires = \
IS_IN_DB(db, 'projects.id', 'projects.project')

virtdb.harvester_selector.id_teams.requires = \
IS_IN_DB(db, 'teams.id', 'teams.team')