/**
 * The form tooltip plugin
 *
 * Acitvate tooltip associated to each field.
 * Can be used with Ext.form.FormPanel, Ext.form.Fieldset, ....
 * it used a dedicated Field configuration option: tipText.
 *
 * The ptype of this component is pFormToolTip.
 *
 * @version
 *
 */

Ext.namespace('App.form');

App.form.ToolTip = Ext.extend(Object, {

    /**
     * Private parameter identifying the type of plugin
     */
    ptype: 'pFormToolTip',

    /**
     * Plugin initialization
     */
    init: function (basicform) {

        var form = basicform;

        function createToolTip(c) {
            //NOTE: don't remove the new keyword although JSlint require it
            new Ext.ToolTip({
                target: c.getEl(),
                title: c.fieldLabel,
                anchor: 'bottom',
                trackMouse: false,
                html: Ext.util.Format.htmlEncode(c.tipText)
            });
        }

        if (basicform instanceof Ext.form.FormPanel) {
            form = basicform.getForm();
        }

        form.items.each(function (field) {
            if (field.tipText) {
                field.on('render', createToolTip);
            }
        });
    }
});

Ext.preg('pFormToolTip', App.form.ToolTip);
