/**
 * Extend the grid row editor plugin by adding confirmation on delete.
 * Have a look to App.grid.RowEditor for more information.
 *
 * The ptype of this component is pGridRowEditorConfirmDelete.
 *
 * @extends App.grid.RowEditor
 * @version
 *
 */

Ext.namespace('App.grid');

App.grid.RowEditorConfirmDelete = Ext.extend(App.grid.RowEditor, {

    /**
     * Private attribute identifying the type of plugin
     */
    ptype: 'pGridRowEditorConfirmDelete',

    /**
     * Private attributes for internationalization
     */
    confirmMsg: 'Do you really want to delete this item?',


    /**
     * Handler to delete the selected row with confirmation
     * The scope use by the handler is the plugin object.
     *
     */
    onDeleteRow: function () {

        var record = this.getSelected();
        if (!record) {return; }

        Ext.Msg.confirm(this.deleteTitle, this.confirmMsg, function(rep) {
            if (rep === 'yes') {
                this.formPanel.setAction('destroy', record);
                this.setTitle(this.deleteTitle);
                this.formPanel.doAction();
            }
        }, this);
    }
});

Ext.preg('pGridRowEditorConfirmDelete', App.grid.RowEditorConfirmDelete);
