/**
 * The row editor doble click plugin
 *
 * Launch the update action when the user double click on a row.
 *
 * Requires the App.grid.GridRowEditor plugin.
 *
 * The ptype of this component is pGridRowEditorDblClick.
 *
 * @extends Object
 * @version
 *
 */

Ext.namespace('App.grid');

App.grid.RowEditorDblClick = Ext.extend(Object, {

    /**
     * Private attribute identifying the type of plugin
     */
    ptype: 'pGridRowEditorDblClick',

    /**
     * Plugin initialization
     * @param {Object} grid
     */
    init: function(grid) {

        // protection
        if (!grid.rowEditor) {
            throw new Error('no grid row editor !!!');
        }

        grid.addListener('rowdblclick', grid.rowEditor.onEditRow, grid.rowEditor);
    }
});

Ext.preg('pGridRowEditorDblClick', App.grid.RowEditorDblClick);
