/**
 * Add a toolbar with buttons to manipulate the App.grid.RowEditor.
 * Requires the App.grid.GridRowEditor plugin.
 *
 * The ptype of this component is pGridRowEditorToolbar.
 *
 * @version
 *
 */
Ext.namespace('App.grid');

App.grid.RowEditorToolbar = Ext.extend(Object, {

    /**
     * Private parameter identifying the type of plugin
     */
    ptype: 'pGridRowEditorToolbar',

    /**
     * Plugin intiaisation
     * @param {Object} grid
     */
    init: function (grid) {

        var toolbar;

        // protection
        if (!grid.rowEditor) {
            throw new Error('no grid row editor !!!');
        }

        toolbar = grid.getTopToolbar();

        toolbar.add([{
            text: 'Add',
            iconCls: 'silk-add',
            handler: grid.rowEditor.onAddRow,
            scope: grid.rowEditor
        }, ' ', {
            text: 'Delete',
            iconCls: 'silk-delete',
            handler: grid.rowEditor.onDeleteRow,
            scope: grid.rowEditor
        }, ' ', {
            text: 'Duplicate',
            iconCls: 'silk-clone',
            handler: grid.rowEditor.onDuplicateRow,
            scope: grid.rowEditor
        }, ' ', {
            text: 'Update',
            iconCls: 'silk-update',
            handler: grid.rowEditor.onEditRow,
            scope: grid.rowEditor
        }, ' ', {
            text: 'View',
            iconCls: 'silk-view',
            handler: grid.rowEditor.onViewRow,
            scope: grid.rowEditor
        }, '-']);
    }
});

Ext.preg('pGridRowEditorToolbar', App.grid.RowEditorToolbar);
