/**
 * The pRegExp plugin
 *
 * Plugin to replace a string defining a regular expression
 * by a regular expression object.
 *
 * Can be used with any component using the property regex.
 *
 * The ptype is pRegEx.
 *
 */

Ext.namespace('App');

App.PRegExp = Ext.extend(Object, {

    init: function (component) {

        if (component.regex && typeof (component.regex) === "string") {
            component.regex = new RegExp(component.regex);
        }
    }
});

Ext.preg('pRegExp', App.PRegExp);
